> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List attributes



## OpenAPI

````yaml GET /v1/agents/{agentId}/branches/{branchId}/attributes
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/attributes:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Variants
      summary: List attributes
      responses:
        '200':
          description: List of attributes for the agent branch
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAttributesResponse'
components:
  schemas:
    GetAttributesResponse:
      type: object
      properties:
        attributes:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
            required:
              - id
              - name
            additionalProperties: false
      required:
        - attributes
      additionalProperties: false
      title: GetAttributesResponse
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````